body {
  ::selection {
    background-color: #ffe600;
  }
}
.qtb-form {
  // get rid of stepper headers
  .mat-step-header,
  .mat-stepper-vertical-line::before,
  .mat-horizontal-stepper-header-container {
    display: none;
  }

  // remove space around stepper content
  .mat-horizontal-content-container,
  .mat-vertical-content-container,
  .mat-vertical-content {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
  }

  .qtb__next-back-button {
    margin-top: 20px;
    button {
      margin: 8px;
    }
  }
  .qtb__question {
    padding-bottom: 24px;
    &-heading {
      @include get-font('heading-mid-regular');
      color: $high-emphasis;
      display: block;
      padding-bottom: 10px;
    }
  
    &-sub-heading {
      @include get-font('body-regular');
      color: $low-emphasis;
    }
    &-link {
      @include get-font('body-regular');
      color: $link;
    }
  }
}

.qtb__button-set {
  text-align: left !important;
  margin-top: 4px;

  label {
    margin: 0;
  }

  .qtb__button-set-label {
    @include field-label;
    padding-left: 5px;
  }
}

.qtb__disclosure {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  .qtb__disclosure-heading {
    @include get-font('heading-lrg-bold');
    color: $high-emphasis;
    padding-bottom: 26px;
  }
  .qtb__disclosure-sub-heading {
    @include get-font('heading-mid-regular');
    color: $high-emphasis;
    padding-bottom: 26px;
  }
  .qtb__disclosure-paragragh {
    @include get-font('body-regular');
    color: $low-emphasis;
    padding-bottom: 16px;
  }
  .qtb__disclosure-link-wrapper {
    display: flex;
  }
  .qtb__disclosure-link {
    @include get-font('button-bold');
    color: $link;
    padding-bottom: 16px;
    padding-left: 8px;
    padding-right: 8px;
  }
}

.qtb__quotepage {
  .qtb__quotepage-title {
    @include get-font('heading-lrg-bold');
  }
  .qtb__quotepage-paragraph {
    @include get-font('body-regular');
    color: $low-emphasis;
  }
  .qtb__quotepage-sub-title {
    @include get-font('heading-mid-regular');
  } 
  .qtb__quotepage-radio-title {
    @include get-font('heading-sml-bold');
    padding-bottom: 8px;
  }
  .qtb__quotepage-radio-price {
    @include get-font('heading-lrg-bold');
    padding-bottom: 8px;
  }
}

.control-error {
  color: red;
}

.qtb__non-emma-question {
  @include respond-to(large) {
    margin-left: 25%;
    margin-right: 25%;
  }
}

.qtb__emma-large {
  @include respond-to(large) {
    height: 400px !important;
  }
}

.qtb__emma-medium {
  @include respond-to(large) {
    height: 280px !important;
  }
}

.qtb__emma-question-layout {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  .qtb__form-element {
    width: 100%;
    // border: solid 1px black;
    order: -1;
  }
  .qtb__spacer {
    // border: solid 1px black;
    display: none;
  }

  @include respond-to(large) {
    margin-bottom: 300px;
    height: 200px;
    
    .qtb__form-element {
      width: 50%;
      height: 50%;
      order: 0;
    }
    .qtb__spacer {
      height: 100%;
      width: 225px;
      display: block;
      
    }
  }
}


.qtb__container {
  margin-left: 10%;
  margin-right: 10%;

  @include respond-to(large) {
    margin-left: 2%;
    margin-right: 2%;
  }
  @include respond-to(x-large) {
    margin-left: 10%;
    margin-right: 10%;
  }
}